#!/usr/bin/perl -w

use strict;
use Cwd;

my $maindir	= getcwd;
my $blogdir	= 'output/blog.html';
my $articledir	= 'main-articles';
my $count	= 0;

unlink "pages/blog.md";

opendir(my $dh, $articledir) or die "opendir($articledir): $!";
while (my $de = readdir($dh)) {
	next if $de =~ /^\./;
	$count++;
}

if ($count gt 0) {
	chdir($articledir) or die "Can't change dir to $articledir $!\n";
	my @files = <*>;
	@files = reverse @files;
	open (OUT, '>>', "../pages/blog.md") or die "Could not open blog file $!\n";
	foreach my $file (@files) {
		$file =~ s/\.[^\.]*$//;
		print OUT "<a class=\"blogitem\" href=\"$file.html\">$file</a><br>";
	}
	close OUT;
	chdir($maindir) or die "Can't change dir to $maindir $!\n";
}
